Bug 1005172 - Review Request: python-llvmpy - Python bindings for LLVM
Review Request: python-llvmpy - Python bindings for LLVM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 06:58 EDT by Sergio Pascual
Modified: 2013-09-12 06:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 06:55:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2013-09-06 06:58:36 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/python-llvmpy.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/python-llvmpy-0.12.0-1.fc19.src.rpm
Description: llvmpy is a Python wrapper around the llvm C++ library which 
allows simple access to compiler tools.
Fedora Account System Username: sergiopr
Comment 1 Christopher Meng 2013-09-06 11:32:18 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 2416640 bytes in 171 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


Rpmlint
-------
Checking: python-llvmpy-0.12.0-1.fc20.i686.rpm
          python-llvmpy-0.12.0-1.fc20.src.rpm
python-llvmpy.src: W: spelling-error %description -l en_US llvm -> llama
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

--> Ignorable


Provides
--------
python-llvmpy:
    python-llvmpy
    python-llvmpy(x86-32)



Unversioned so-files
--------------------
python-llvmpy: /usr/lib/python2.7/site-packages/llvmpy/_api.so
python-llvmpy: /usr/lib/python2.7/site-packages/llvmpy/_capsule.so

--> Ignorable


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn python-llvmpy-0.12.0-1.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

***************************************
APPROVED.

Suggestions:

1. %{buildroot}/%{python_sitearch} can be %{buildroot}%{python_sitearch}

2. Source can be Source0

3. Is it possible to use llvmpy as its %{name}? I think upstream won't release 2 version for py2 and py3 in parallel.
Comment 2 Christopher Meng 2013-09-06 11:34:03 EDT
Also if you think -doc is needed, please add -doc subpackage.
Comment 3 Christopher Meng 2013-09-06 11:42:20 EDT
Also again(sorry),

I just checked documentation of llvmpy and found:

python -c "import llvm; llvm.test()" is used for simple test, is it possible for you to add it into %check?
Comment 4 Sergio Pascual 2013-09-09 06:47:25 EDT
Hi, thanks for the review. I have added the test in check. 
The documentation is small, less than 300k, so for the moment I don't think we need a -doc subpackage.

Regarding the name, there was an exception for python packages having a "py" in the name, they could remain with their name. But the exception was removed so now all python packages need to follow python-%{name} rule.
Comment 5 Sergio Pascual 2013-09-09 06:52:18 EDT
New Package SCM Request
=======================
Package Name: python-llvmpy
Short Description: Python bindings for LLVM
Owners: sergiopr
Branches: f18 f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-09-09 08:15:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.